Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

perl5.005_58 'make install' #292

Closed
p5pRT opened this issue Jul 29, 1999 · 1 comment
Closed

perl5.005_58 'make install' #292

p5pRT opened this issue Jul 29, 1999 · 1 comment

Comments

@p5pRT
Copy link
Collaborator

@p5pRT p5pRT commented Jul 29, 1999

Migrated from rt.perl.org#1115 (status was 'resolved')

Searchable as RT1115$

@p5pRT
Copy link
Collaborator Author

@p5pRT p5pRT commented Jul 29, 1999

From ian@dial.pipex.com

I snatched these from the 'make install' spew​:

../pod/pod2man​: Invalid man page - no documentation in Carp/Heavy.pm
../pod/pod2man​: Dumpvalue.pm is missing required section​: SYNOPSIS
../pod/pod2man​: Invalid man page - no documentation in Exporter/Heavy.pm
../pod/pod2man​: filetest.pm is missing required section​: SYNOPSIS
../pod/pod2man​: Invalid man page - no documentation in B/Stash.pm

See also [19990729.006] which mentions two of the following. Bug in pod2man?

../pod/pod2man​: bad option in paragraph 9 of perlxstut.pod​: ``-V'' should be [CB]<-V>
../pod/pod2man​: bad option in paragraph 47 of perlxstut.pod​: ``-V'' should be [CB]<-V>
../pod/pod2man​: bad option in paragraph 4 of filetest.pm​: ``-r'' should be [CB]<-r>
../pod/pod2man​: bad option in paragraph 4 of filetest.pm​: ``-r'' should be [CB]<-r>
../pod/pod2man​: bad option in paragraph 4 of filetest.pm​: ``-r'' should be [CB]<-r>
../pod/pod2man​: bad option in paragraph 15 of utf8.pm​: ``-w'' should be [CB]<-w>
../pod/pod2man​: bad option in paragraph 1882 of Config.pm​: ``-o'' should be [CB]<-o>
../pod/pod2man​: bad option in paragraph 1882 of Config.pm​: ``-R'' should be [CB]<-R>
../pod/pod2man​: bad option in paragraph 1963 of Config.pm​: ``-S'' should be [CB]<-S>
../pod/pod2man​: bad option in paragraph 152 of h2xs​: ``-e'' should be [CB]<-e>
../pod/pod2man​: bad option in paragraph 152 of h2xs​: ``-T'' should be [CB]<-T>
../pod/pod2man​: bad option in paragraph 161 of h2xs​: ``if( ! C<$opt_X> )'' should be [LCI]<if( ! C<$opt_X> )>
../pod/pod2man​: bad option in paragraph 161 of h2xs​: ``-I'' should be [CB]<-I>
../pod/pod2man​: bad option in paragraph 158 of perlcc​: ``-D'' should be [CB]<-D>
../pod/pod2man​: bad option in paragraph 165 of perlcc​: ``-e'' should be [CB]<-e>
../pod/pod2man​: bad option in paragraph 167 of perlcc​: ``-e'' should be [CB]<-e>

Good news​: otherwise clean install apart from test 190 and -V nonsense.
Installation using libperl.so is successful, including linkage to vim
5.4 in this format. [If you're a 'vi' user, try 'vim' (www.vim.org).
It's on my personal list of 'must have on any computer', along with
perl, of course. It's having a perl interface is a bonus.]

Perl Info


Site configuration information for perl 5.00558:

Configured by ian at Thu Jul 29 22:26:37 BST 1999.

Summary of my perl5 (revision 5.0 version 5 subversion 58) configuration:
  Platform:
    osname=linux, osvers=2.0.34, archname=i686-linux
    uname='linux homer 2.0.34 #4 fri apr 30 17:59:32 bst 1999 i686 unknown '
    config_args=''
    hint=recommended, useposix=true, d_sigaction=define
    usethreads=undef useperlio=undef d_sfio=undef
    use64bits=undef usemultiplicity=undef
  Compiler:
    cc='cc', optimize='-g -O2', gccversion=egcs-2.90.29 980515 (egcs-1.0.3 release)
    cppflags='-Dbool=char -DHAS_BOOL -DDEBUGGING -I/usr/local/include'
    ccflags ='-Dbool=char -DHAS_BOOL -DDEBUGGING -I/usr/local/include'
    stdchar='char', d_stdstdio=define, usevfork=false
    intsize=4, longsize=4, ptrsize=4, doublesize=8
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    alignbytes=4, usemymalloc=y, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -L/usr/local/lib'
    libpth=/usr/local/lib /shlib /lib /usr/lib
    libs=-lndbm -lgdbm -ldbm -ldb -ldl -lm -lc
    libc=, so=so, useshrplib=true, libperl=libperl.so
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-rdynamic -Wl,-rpath,/usr/local/lib/perl5/5.00558/i686-linux/CORE'
    cccdlflags='-fpic', lddlflags='-shared -L/usr/local/lib'

Locally applied patches:
    


@INC for perl 5.00558:
    /u2/ian/lib/perl5
    /usr/local/lib/perl5/5.00558/i686-linux
    /usr/local/lib/perl5/5.00558
    /usr/local/lib/site_perl/5.00558/i686-linux
    /usr/local/lib/site_perl
    .


Environment for perl 5.00558:
    HOME=/u2/ian
    LANG (unset)
    LANGUAGE (unset)
    LD_LIBRARY_PATH (unset)
    LOGDIR (unset)
    PATH=/u2/ian/cmd:/u2/ian/Linux:/usr/local/bin:/u2/ian/stocks/cmd:/usr/openwin/bin:/usr/bin/X11:/usr/bin:/bin:/usr/lib/teTeX/bin:/usr/etc:/sbin:/usr/sbin
    PERL5LIB=/u2/ian/lib/perl5
    PERL_BADLANG (unset)
    SHELL=/bin/zsh

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant
You can’t perform that action at this time.